Get Sync Config
curl --request GET \
--url https://api.rootfi.dev/v3/core/syncs/config \
--header 'api_key: <api-key>'import requests
url = "https://api.rootfi.dev/v3/core/syncs/config"
headers = {"api_key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {api_key: '<api-key>'}};
fetch('https://api.rootfi.dev/v3/core/syncs/config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"sync_config": [
{
"enabled": true,
"interval": 1,
"scope_access": {
"READ": true,
"CREATE": true,
"UPDATE": true,
"DELETE": true
},
"sync_from": "2023-11-07T05:31:56Z",
"custom_fields": [
"<string>"
]
}
]
}{
"error": {
"message": "<string>",
"code": "<string>",
"field": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"field": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"field": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"field": "<string>"
}
}Sync
Get Sync Config
Retrieve the sync config for your organization.
GET
/
core
/
syncs
/
config
Get Sync Config
Authorizations
Query Parameters
The integration category whose sync config you want to retrieve
Available options:
ACCOUNTING, PAYMENTS, CRM, ECOMMERCE, CUSTOM Response
The data of the sync config endpoint
The sync configuration data for your organization
Show child attributes
Show child attributes
⌘I